Compatibilidad con las API estándar de Java

BlackBerry® Java® SDK incluye API de Java® ME, así como API específicas de BlackBerry. A continuación se ofrece una lista de los JSR compatibles:

  • JSR 30: Connected Limited Device Configuration (CLDC) versión 1.0 (compatible con dispositivos con BlackBerry® Device Software versión 4.6.1 o anterior)

  • JSR 37: Mobile Information Device Profile (MIDP) versión 1.0

  • JSR 75: Portable Optional Packages para la plataforma J2ME (PDAP) compatible únicamente con las API de PIM y la API de conexión de archivos para Java ME

  • JSR 82: API de Java para Bluetooth®

  • JSR 118: Mobile Information Device Profile (MIDP) versión 2.1

  • JSR 120: Wireless Messaging API (WMA) versión 1.1

  • JSR 135: Mobile Media APIs (MM API) versión 1.1

  • JSR 139: Connected Limited Device Configuration (CLDC) versión 1.1

  • JSR 172: J2ME Web Services

  • JSR 177: Security and Trust Services API para J2ME (SATSA-APDU)

  • JSR 179: API de ubicación para Java ME

  • JSR 185: Java Technology for the Wireless Industry (JTWI)

  • JSR 205: Wireless Messaging API 2.0 (WMA)

  • JSR 211: Content Handler API (CHAPI)

  • JSR 226: API de gráficos vectoriales 2D escalables para Java ME (SVG)

  • JSR 234: Advanced Multimedia Supplements (AMMS)

  • JSR 238: Mobile Internationalization API

  • JSR 239: Java Binding para la API de OpenGL® ES (en algunos dispositivos)

Tema siguiente: Comentarios
Tema anterior: API de seguridad

¿Le ha resultado útil esta información? Envíenos sus comentarios.